/*!
* Copyright Adaptavist 2023 (c) All rights reserved
*/
export async function errorMessageBuilder(response, reason) {
    try {
        const errors = await response.json();
        const errorMessages = errors ? errors.map((err) => `${err.message} Code: ${err.errorCode}`) : [];
        if (errorMessages.length > 0) {
            return `${reason} - ${errorMessages.join(', ')}`;
        }
    }
    catch { }
    return reason;
}
export class CustomError extends Error {
    constructor() {
        super(...arguments);
        this.name = 'CustomError';
    }
}
