/*!
* Copyright Adaptavist 2023 (c) All rights reserved
*/
import { AnythingButUndefined, BaseErrorStrategyHandlers, BaseErrorStrategyOption, CustomErrorHandler, ErrorStrategyBuilderConstructor } from '@managed-api/commons-core';
import { ErrorStrategyBuilder } from './builders/errorStrategy';
import { CustomError } from './common';
export declare type CommonError = {
    message: string;
    errorCode: string;
}[];
export declare type AdditionalErrorTypes = CustomError;
export interface ErrorStrategyHandlers extends BaseErrorStrategyHandlers<CommonError, AdditionalErrorTypes> {
    handleCustomError?(error: CustomError, attempt: number): AnythingButUndefined;
}
export interface ErrorStrategyOption extends BaseErrorStrategyOption<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder> {
}
export declare const customErrorHandlers: CustomErrorHandler[];
export declare const errorStrategyBuilderConstructor: ErrorStrategyBuilderConstructor<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder>;
//# sourceMappingURL=errorStrategy.d.ts.map