/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { ErrorStrategyOption } from '../../errorStrategy';
export interface GetSObjectRowRecordRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The name of the object. For example, Account.
     */
    sObject: string;
    /**
     * The identifier of the object.
     */
    id: string;
    /**
     * A comma-delimited list of fields specifying the fields and values returned in the response body. For example, ?fields=name,description,numberofemployees,industry.
     */
    fields?: string;
}
export declare type GetSObjectRowRecordResponseOK = {
    attributes: {
        type: string;
        url: string;
    };
    [x: string]: any;
};
export declare type GetSObjectRowRecordResponseError = undefined;
export interface UpdateSObjectRowRecordRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The name of the object. For example, Account.
     */
    sObject: string;
    /**
     * The identifier of the object.
     */
    id: string;
    /**
     * Record to be updated.
     */
    body: Record<string, any>;
}
export declare type UpdateSObjectRowRecordResponseOK = undefined;
export declare type UpdateSObjectRowRecordResponseError = undefined;
export interface DeleteSObjectRowRecordRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The name of the object. For example, Account.
     */
    sObject: string;
    /**
     * The identifier of the object.
     */
    id: string;
}
export declare type DeleteSObjectRowRecordResponseOK = undefined;
export declare type DeleteSObjectRowRecordResponseError = undefined;
//# sourceMappingURL=row.d.ts.map